org.apache.lucene.facet.search

## Class OrdinalsCache.CachedOrds

- java.lang.Object
- - org.apache.lucene.facet.search.OrdinalsCache.CachedOrds

Enclosing class:
  OrdinalsCache

    public static final class OrdinalsCache.CachedOrds
    extends Object

Holds the cached ordinals in two paralel `int[]` arrays.

### Field Summary

Fields
`int[]` `offsets`
`int[]` `ordinals`

### Constructor Summary

Constructors
Constructor and Description
`OrdinalsCache.CachedOrds(BinaryDocValues dv, int maxDoc, CategoryListParams clp)` Creates a new `OrdinalsCache.CachedOrds` from the `BinaryDocValues`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### offsets

    public final int[] offsets

#### ordinals

    public final int[] ordinals

### Constructor Detail

#### OrdinalsCache.CachedOrds

    public OrdinalsCache.CachedOrds(BinaryDocValues dv,
                            int maxDoc,
                            CategoryListParams clp)

Creates a new `OrdinalsCache.CachedOrds` from the `BinaryDocValues`. Assumes that the `BinaryDocValues` is not `null`.